summaryrefslogtreecommitdiffstats
path: root/ubuntu/_base/tdebase/debian/kfind-trinity.postinst
diff options
context:
space:
mode:
authorMichele Calgaro <michele.calgaro@yahoo.it>2019-04-03 23:02:46 +0900
committerMichele Calgaro <michele.calgaro@yahoo.it>2019-04-03 23:02:46 +0900
commitfcad8b8d150fb9f508973e3044a103de74ec3877 (patch)
treeca34a8cf3bfbe08335d40c47863b4901e1d19609 /ubuntu/_base/tdebase/debian/kfind-trinity.postinst
parent5d8ed1fab813d86b04383f7fcf8ab2c994cbea30 (diff)
downloadtde-packaging-fcad8b8d150fb9f508973e3044a103de74ec3877.tar.gz
tde-packaging-fcad8b8d150fb9f508973e3044a103de74ec3877.zip
DEB: use _base folder for a distro instead of specific distros (squeeze and maverick).
Signed-off-by: Michele Calgaro <michele.calgaro@yahoo.it>
Diffstat (limited to 'ubuntu/_base/tdebase/debian/kfind-trinity.postinst')
-rw-r--r--ubuntu/_base/tdebase/debian/kfind-trinity.postinst41
1 files changed, 41 insertions, 0 deletions
diff --git a/ubuntu/_base/tdebase/debian/kfind-trinity.postinst b/ubuntu/_base/tdebase/debian/kfind-trinity.postinst
new file mode 100644
index 000000000..1020c703e
--- /dev/null
+++ b/ubuntu/_base/tdebase/debian/kfind-trinity.postinst
@@ -0,0 +1,41 @@
+#! /bin/sh -e
+
+package_name=kfind-trinity
+
+divert_remove()
+ {
+ divert=`dpkg-divert --listpackage "$1"`
+ if [ -n "$divert" ] && [ "$divert" = "LOCAL" ]; then
+ dpkg-divert --remove --local --rename "$1"
+ fi
+ if [ -n "$divert" ] && [ "$divert" = "$package_name" ]; then
+ dpkg-divert --remove --package $package_name --rename "$1"
+ fi
+ }
+
+case "$1" in
+
+ configure)
+ divert_remove /usr/share/icons/hicolor/16x16/apps/kfind.png
+ divert_remove /usr/share/icons/hicolor/22x22/apps/kfind.png
+ divert_remove /usr/share/icons/hicolor/32x32/apps/kfind.png
+ divert_remove /usr/share/icons/hicolor/48x48/apps/kfind.png
+ divert_remove /usr/share/icons/hicolor/64x64/apps/kfind.png
+ ;;
+
+ install)
+ ;;
+
+ abort-upgrade)
+ ;;
+
+ *)
+ echo "preinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+
+esac
+
+#DEBHELPER#
+
+exit 0